# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.89"
name = "ringolo"
version = "0.1.0-alpha.2"
authors = ["Samuel Blais-Dowdy <samuel.blaisdowdy@protonmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "An asynchronous runtime built on top of io-uring."
readme = "README.md"
keywords = [
    "io-uring",
    "io",
    "async",
    "non-blocking",
    "futures",
]
categories = [
    "asynchronous",
    "network-programming",
]
license = "Apache-2.0"
repository = "https://github.com/sugarraysam/ringolo"
resolver = "2"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
default = []
experimental = []

[lib]
name = "ringolo"
path = "src/lib.rs"
doctest = true

[dependencies.anyhow]
version = "~1.0.99"

[dependencies.bitflags]
version = "~2.9.4"

[dependencies.crossbeam-deque]
version = "~0.8.6"

[dependencies.dashmap]
version = "~6.1.0"
features = ["raw-api"]

[dependencies.either]
version = "~1.15.0"

[dependencies.fastrand]
version = "~2.3.0"

[dependencies.futures]
version = "~0.3.31"

[dependencies.io-uring]
version = "~0.7.11"

[dependencies.libc]
version = "~0.2.98"
default-features = false

[dependencies.linux-raw-sys]
version = "0.12.0"

[dependencies.parking_lot]
version = "~0.12.5"

[dependencies.paste]
version = "~1.0.15"

[dependencies.pin-project]
version = "~1.1.10"

[dependencies.ringolo-macros]
version = "~0.1.0-alpha.1"

[dependencies.slab]
version = "~0.4.11"

[dependencies.smallvec]
version = "~1.15.1"

[dependencies.thiserror]
version = "~2.0.17"

[dependencies.tracing]
version = "~0.1.41"

[dev-dependencies.nix]
version = "~0.30.1"
features = ["socket"]

[dev-dependencies.rstest]
version = "~0.26.1"

[dev-dependencies.static_assertions]
version = "~1.1.0"

[dev-dependencies.tempfile]
version = "~3.23.0"

[dev-dependencies.uuid]
version = "~1.18.1"
features = ["v4"]
